<?php
/*针对新增预留字段升级字段*/
require './../inc/init.php';
header('Content-type: text/html; charset=utf-8');
require_once PHP168_PATH .'install/install.func.php';


@set_time_limit(0);
error_reporting(E_ALL);
$core->CONFIG['debug'] = 1;

$sql = "ALTER TABLE  `p8_cms_item` ADD  `custom_a` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_b` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_c` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_d` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_e` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_f` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_g` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_h` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_i` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_j` VARCHAR( 255 ) NOT NULL;
ALTER TABLE  `p8_sites_item` ADD `custom_a` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_b` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_c` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_d` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_e` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_f` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_g` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_h` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_i` VARCHAR( 255 ) NOT NULL ,
ADD  `custom_j` VARCHAR( 255 ) NOT NULL;";

$sql = get_install_sql($DB_master, $sql, $core->TABLE_, true);
foreach($sql as $v){
	$DB_master->query($v);
}
echo "新增预留字段功能升级完成，如有错误提示，请忽略，请进后台更新全站缓存";
